Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155103 - traceback in iw/language_gui.py
Summary: traceback in iw/language_gui.py
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-16 10:30 UTC by Ronny Buchmann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 10.2.0.52-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-24 13:45:21 UTC


Attachments (Terms of Use)
fix for wrong arguments of SetLanguage (deleted)
2005-04-16 10:30 UTC, Ronny Buchmann
no flags Details | Diff

Description Ronny Buchmann 2005-04-16 10:30:28 UTC
self.ics.getICW().setLanguage() is called with an argument, but none is needed

patch attached

Comment 1 Ronny Buchmann 2005-04-16 10:30:28 UTC
Created attachment 113271 [details]
fix for wrong arguments of SetLanguage

Comment 2 Ronny Buchmann 2005-04-17 10:12:24 UTC
changing severity to "high", because graphical installation is impossible

Comment 3 Chris Lumens 2005-04-18 14:27:59 UTC
Patch applied to CVS.  Just curious - how did you get this screen to even
appear? It's supposed to be disabled.

Comment 4 Ronny Buchmann 2005-04-18 16:04:24 UTC
It was a normal rawhide (2005-04-15) install (from dvd). On the second screen in
anaconda (First was the beta nag, third keyboard selection) traceback appeared
on clicking "Next". I think I didn't see this before because I usually do
network installs (where language selection is early in text mode).

Comment 5 Ronny Buchmann 2005-04-18 16:17:27 UTC
anaconda was 10.2.0.50

Comment 6 Ronny Buchmann 2005-04-21 05:30:36 UTC
I will reopen this, as rawhide hasn't seen a new anaconda yet.

c#3
This screen is definitly *not* disabled when doing CD/DVD install. (I tried
again today [rawhide-2005-04-19], so I dodn't think it's a build issue.)

It can be workaorund with linux askmethod (then language selection is in text
mode). Maybe this should be the default anyway, as the whole graphical thing is
translated from the first screen then. Otherwise the first screen ("Welcome to
FC...") is always English, which is bad because there are the instructions on
how to use the installer.

Comment 7 Chris Lumens 2005-04-21 20:36:44 UTC
Check rawhide tomorrow and let us know.  anaconda-10.2.0.52-1 should be in there
and have this traceback fixed.

Comment 8 Ronny Buchmann 2005-04-24 13:45:21 UTC
yep, traceback fixed


Note You need to log in before you can comment on or make changes to this bug.